Name: 		cups
Version: 	1.3.9
Release: 	1
Copyright: 	GPL
Summary: 	Common UNIX Printing System
Group: 		Libraries
Url:		http://cups.org/
Source0: 	%{name}-%{version}-source.tar.bz2
BuildRoot: 	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
ExclusiveArch: 	i386
%define		_sysconfdir	/etc

%description
cvs -z3 -d:pserver:anoncvs@cvs.easysw.com:/home/anoncvs co cups

The Common Unix Printing System provides a portable printing layer for 
UNIX(TM) operating systems. It has been developed by Easy Software Products 
to promote a standard printing solution for all UNIX vendors and users. 
CUPS provides the System V and Berkeley command-line interfaces.

Go here to get a CUPS-O-Matic PPD driver for your model printer:
http://www.linuxprinting.org/printer_list.cgi Cut n' paste the driver to:
/usr/share/cups/model/; run "cupsd" then configurate KDE3 printing manager 
or open Mozilla and point your browser at http://localhost:631 to config.

%package 	devel
Summary: 	Libraries, includes and other files to develop CUPS applications.
Group: 		Development

%description 	devel
This packages contains the libraries, include and other files 
you can use to develop CUPS applications.

%prep
%setup -q -n %{name}-%{version}
# Stupid but safe. Allows libtool to finish
ln -sf /usr/src/redhat/BUILD/%{name}-%{version}/cups/.libs scripting/cups

%build
%configure \
	     --enable-ssl \
	     --enable-slp \
	     --sysconfdir=/etc \
	     --enable-pam=no \
	     --enable-shared \
	     --disable-nls \
	     --with-cachedir=/etc/cups \
	     --without-included-gettext
make LOGDIR=$RPM_BUILD_ROOT%{_var}/log/cups \
             REQUESTS=$RPM_BUILD_ROOT%{_var}/spool/cups \
             SERVERROOT=$RPM_BUILD_ROOT%{_sysconfdir}/cups \
             MANDIR=$RPM_BUILD_ROOT%{_mandir} \
             BINDIR=$RPM_BUILD_ROOT%{_bindir} \
             SBINDIR=$RPM_BUILD_ROOT%{_sbindir} \
             DOCDIR=$RPM_BUILD_ROOT%{_defaultdocdir}/cups \
             CHOWN=/bin/echo OPTIM="$REAL_CFLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make BUILDROOT=$RPM_BUILD_ROOT install
#rm -R $RPM_BUILD_ROOT/usr/share/locale/{C,en}
#mv $RPM_BUILD_ROOT/usr/share/locale/en_US $RPM_BUILD_ROOT/usr/share/locale/en_CA
#mv $RPM_BUILD_ROOT/usr/share/locale/en_CA/cups_en_US $RPM_BUILD_ROOT/usr/share/locale/en_CA/cup_en
rm -rf $RPM_BUILD_ROOT/usr/share/applications
rm $RPM_BUILD_ROOT/usr/man/man8/cupsdisable.8.gz
rm $RPM_BUILD_ROOT/usr/man/man8/reject.8.gz
chown -R root.root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd /usr/share/fonts/cups/; mkfontscale; mkfontdir

%files
%defattr(-,root,root)
/etc/cups
/etc/dbus-1
/usr/bin
/usr/sbin
/usr/man
/usr/lib/cups
/usr/lib/*.so
/usr/lib/*.so.*
/usr/lib/*.la
/usr/lib/php
/usr/share
%dir %attr(1777,lp,root) /var/spool/cups/tmp
%dir %attr(0777,lp,root) /var/spool/cups
%dir %attr(0777,lp,root) /var/log/cups
%dir %attr(0777,lp,root) /var/run/cups/certs

%files devel
%defattr(-,root,root)
/usr/include
/usr/lib/*.a
